<template>
  <div>
    <OrderSuccess v-if="isCheckSlug" />
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import axios from "axios";
import { apiErrorHandler } from "~/utils/apiHanlers";
import { api, apiLocal } from "~/common/constaint";
import { resources } from "~/interfaces/api";

@Component({
  layout: "userSlug",
  components: {
    OrderSuccess: () => import("@/components/Home/OrderSuccess/index.vue"),
  },
})
export default class OrderSuccessPage extends Vue {
  head() {
    return {
      title:
        "Order Success - " +
          (this.$store.state.setting.siteInfo &&
            this.$store.state.setting.siteInfo.storeName +
              " - " +
              this.$store.state?.setting?.siteInfo?.productName) || "",
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }

  get isCheckSlug() {
    return this.$store.state?.product?.isCheckSlug || "";
  }
}
</script>
